<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>IRISHousehold</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="declaration: package: fr.ici.dataImporter.iciObjects.iris, class: IRISHousehold">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/IRISHousehold.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.ici.dataImporter.iciObjects.iris</a></div>
<h1 title="Class IRISHousehold" class="title">Class IRISHousehold</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance"><a href="IRIS.html" title="class in fr.ici.dataImporter.iciObjects.iris">fr.ici.dataImporter.iciObjects.iris.IRIS</a>
<div class="inheritance">fr.ici.dataImporter.iciObjects.iris.IRISHousehold</div>
</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="type-name-label">IRISHousehold</span>
extends <a href="IRIS.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRIS</a></pre>
<div class="block">IRIS implementation for statistical household information. Data that should be used are stored <a href="https://www.insee.fr/fr/statistiques/4799268">here</a></div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field.summary">
<h2>Field Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Fields</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Field</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>(package private) float[]</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#initialProbabilityDistributionFComp">initialProbabilityDistributionFComp</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>(package private) float[]</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#initialProbabilityDistributionHComp">initialProbabilityDistributionHComp</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="inherited-list">
<h3 id="fields.inherited.from.class.fr.ici.dataImporter.iciObjects.iris.IRIS">Fields inherited from class&nbsp;fr.ici.dataImporter.iciObjects.iris.<a href="IRIS.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRIS</a></h3>
<code><a href="IRIS.html#ADJUST_VALUES">ADJUST_VALUES</a></code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(org.opengis.feature.simple.SimpleFeature,org.opengis.feature.simple.SimpleFeature,int)">IRISHousehold</a></span>&#8203;(org.opengis.feature.simple.SimpleFeature&nbsp;sfIrisHousehold,
org.opengis.feature.simple.SimpleFeature&nbsp;sfIrisHousing,
int&nbsp;nbOfHousingInBuilding)</code></th>
<td class="col-last">
<div class="block">Constructor for Household generation purposes</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#adjustFamilyWithChildrenMoreThan25(float)">adjustFamilyWithChildrenMoreThan25</a></span>&#8203;(float&nbsp;adjust)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#adjustNbFam1Children(float)">adjustNbFam1Children</a></span>&#8203;(float&nbsp;adjusmtent)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#adjustNbFam2Children(float)">adjustNbFam2Children</a></span>&#8203;(float&nbsp;adjusmtent)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#adjustNbFam3Children(float)">adjustNbFam3Children</a></span>&#8203;(float&nbsp;adjusmtent)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#adjustNbFam4Children(float)">adjustNbFam4Children</a></span>&#8203;(float&nbsp;adjusmtent)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#adjustNbFamilyChildHousehold(float)">adjustNbFamilyChildHousehold</a></span>&#8203;(float&nbsp;subtractNbFamilyChildHousehold)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i6">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#adjustNbFamilyChildlessHousehold(float)">adjustNbFamilyChildlessHousehold</a></span>&#8203;(float&nbsp;subtractNbFamilyChildlessHousehold)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i7">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#adjustNbFamilySingleParentHousehold(float)">adjustNbFamilySingleParentHousehold</a></span>&#8203;(float&nbsp;subtractNbFamilySingleParentHousehold)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i8">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#adjustNbNotPrincipalHousing(float)">adjustNbNotPrincipalHousing</a></span>&#8203;(float&nbsp;subtractNbNotPrincipalHousing)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i9">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#adjustNbOtherHousehold(float)">adjustNbOtherHousehold</a></span>&#8203;(float&nbsp;subtractNbOtherHousehold)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i10">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#adjustNbPrincipalHousing(float)">adjustNbPrincipalHousing</a></span>&#8203;(float&nbsp;subtractNbPrincipalHousing)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i11">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#adjustNbSingleMenHousehold(float)">adjustNbSingleMenHousehold</a></span>&#8203;(float&nbsp;subtractNbSingleMenHousehold)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i12">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#adjustNbSingleWomanHousehold(float)">adjustNbSingleWomanHousehold</a></span>&#8203;(float&nbsp;subtractNbSingleWomanHousehold)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i13">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getAverageSizeOtherFamilylessHouseholds()">getAverageSizeOtherFamilylessHouseholds</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i14">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getFamilyWithChildren()">getFamilyWithChildren</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i15">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getNbFam1Children()">getNbFam1Children</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i16">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getNbFam2Children()">getNbFam2Children</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i17">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getNbFam3Children()">getNbFam3Children</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i18">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getNbFam4Children()">getNbFam4Children</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i19">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getNbFamilyChildHousehold()">getNbFamilyChildHousehold</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i20">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getNbFamilyChildlessHousehold()">getNbFamilyChildlessHousehold</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i21">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getNbFamilySingleParentHousehold()">getNbFamilySingleParentHousehold</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i22">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getNbFamilyWithChildrenMoreThan25()">getNbFamilyWithChildrenMoreThan25</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i23">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getNbHousehold()">getNbHousehold</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i24">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getNbOtherHousehold()">getNbOtherHousehold</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i25">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getNbSingleMenHousehold()">getNbSingleMenHousehold</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i26">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getNbSingleWomanHousehold()">getNbSingleWomanHousehold</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i27">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getPercentagePrincipalHousing()">getPercentagePrincipalHousing</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i28">
<td class="col-first"><code>float[]</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#makeFamilyCompositionProbability()">makeFamilyCompositionProbability</a></span>()</code></th>
<td class="col-last">
<div class="block">Calculate the probability for each IRIS of the children under than 25 as a family composition.</div>
</td>
</tr>
<tr class="row-color" id="i29">
<td class="col-first"><code>float[]</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#makeHouseholdCompositionProbability()">makeHouseholdCompositionProbability</a></span>()</code></th>
<td class="col-last">
<div class="block">Calculate the probability for each IRIS of the household composition.</div>
</td>
</tr>
<tr class="alt-color" id="i30">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#printHouseholdCompositionProbability()">printHouseholdCompositionProbability</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.fr.ici.dataImporter.iciObjects.iris.IRIS">Methods inherited from class&nbsp;fr.ici.dataImporter.iciObjects.iris.<a href="IRIS.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRIS</a></h3>
<code><a href="IRIS.html#getCodeIRIS()">getCodeIRIS</a>, <a href="IRIS.html#getGeom()">getGeom</a>, <a href="IRIS.html#getNomIRIS()">getNomIRIS</a>, <a href="IRIS.html#printPer(double)">printPer</a></code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ FIELD DETAIL =========== -->
<li>
<section class="field-details" id="field.detail">
<h2>Field Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="initialProbabilityDistributionFComp">
<h3>initialProbabilityDistributionFComp</h3>
<div class="member-signature"><span class="return-type">float[]</span>&nbsp;<span class="member-name">initialProbabilityDistributionFComp</span></div>
</section>
</li>
<li>
<section class="detail" id="initialProbabilityDistributionHComp">
<h3>initialProbabilityDistributionHComp</h3>
<div class="member-signature"><span class="return-type">float[]</span>&nbsp;<span class="member-name">initialProbabilityDistributionHComp</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(org.opengis.feature.simple.SimpleFeature,org.opengis.feature.simple.SimpleFeature,int)">
<h3>IRISHousehold</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">IRISHousehold</span>&#8203;(<span class="parameters">org.opengis.feature.simple.SimpleFeature&nbsp;sfIrisHousehold,
org.opengis.feature.simple.SimpleFeature&nbsp;sfIrisHousing,
int&nbsp;nbOfHousingInBuilding)</span></div>
<div class="block">Constructor for Household generation purposes</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>sfIrisHousehold</code> - IRIS with enquete-ménage-famille data joined</dd>
<dd><code>sfIrisHousing</code> - IRIS with enquete-logement data joined</dd>
<dd><code>nbOfHousingInBuilding</code> - number of housing units inside buildings. As it's not the same data source as the INSEE, we may want to adjust the values. Adjustment is made by adapting the number of secondary and vacant home. In case we don't want to adjust, the 0 value could be provided.</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="makeFamilyCompositionProbability()">
<h3>makeFamilyCompositionProbability</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float[]</span>&nbsp;<span class="member-name">makeFamilyCompositionProbability</span>()</div>
<div class="block">Calculate the probability for each IRIS of the children under than 25 as a family composition.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>the probability in a 5 length tab organized in such way : <ul>
 <li>0 : probability for the family to have 1 children</li>
 <li>1 : probability for the family to have 2 children</li>
 <li>2 : probability for the family to have 3 children</li>
 <li>3 : probability for the family to have 4 children or more</li>
 <li>4 : probability for the family to have children(s) older than 25</li>
 </ul></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="makeHouseholdCompositionProbability()">
<h3>makeHouseholdCompositionProbability</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float[]</span>&nbsp;<span class="member-name">makeHouseholdCompositionProbability</span>()</div>
<div class="block">Calculate the probability for each IRIS of the household composition.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>the probability in a 6 length tab organized in such way : <ul>
 <li>0 : OTHERFAMILYLESS </li>
 <li>1 : FAMILYCHILDCOUPLE</li>
 <li>2 : FAMILYCHILDLESSCOUPLE</li>
 <li>3 : SINGLEPARENTFAMILY</li>
 <li>4 : SINGLEMENHOUSING</li>
 <li>5 : SINGLEWOMENHOUSING</li>
 </ul></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="printHouseholdCompositionProbability()">
<h3>printHouseholdCompositionProbability</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">printHouseholdCompositionProbability</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getPercentagePrincipalHousing()">
<h3>getPercentagePrincipalHousing</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getPercentagePrincipalHousing</span>()</div>
</section>
</li>
<li>
<section class="detail" id="adjustNbPrincipalHousing(float)">
<h3>adjustNbPrincipalHousing</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">adjustNbPrincipalHousing</span>&#8203;(<span class="parameters">float&nbsp;subtractNbPrincipalHousing)</span></div>
</section>
</li>
<li>
<section class="detail" id="adjustNbNotPrincipalHousing(float)">
<h3>adjustNbNotPrincipalHousing</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">adjustNbNotPrincipalHousing</span>&#8203;(<span class="parameters">float&nbsp;subtractNbNotPrincipalHousing)</span></div>
</section>
</li>
<li>
<section class="detail" id="getNbSingleMenHousehold()">
<h3>getNbSingleMenHousehold</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getNbSingleMenHousehold</span>()</div>
</section>
</li>
<li>
<section class="detail" id="adjustNbSingleMenHousehold(float)">
<h3>adjustNbSingleMenHousehold</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">adjustNbSingleMenHousehold</span>&#8203;(<span class="parameters">float&nbsp;subtractNbSingleMenHousehold)</span></div>
</section>
</li>
<li>
<section class="detail" id="getNbSingleWomanHousehold()">
<h3>getNbSingleWomanHousehold</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getNbSingleWomanHousehold</span>()</div>
</section>
</li>
<li>
<section class="detail" id="adjustNbSingleWomanHousehold(float)">
<h3>adjustNbSingleWomanHousehold</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">adjustNbSingleWomanHousehold</span>&#8203;(<span class="parameters">float&nbsp;subtractNbSingleWomanHousehold)</span></div>
</section>
</li>
<li>
<section class="detail" id="getNbOtherHousehold()">
<h3>getNbOtherHousehold</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getNbOtherHousehold</span>()</div>
</section>
</li>
<li>
<section class="detail" id="adjustNbOtherHousehold(float)">
<h3>adjustNbOtherHousehold</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">adjustNbOtherHousehold</span>&#8203;(<span class="parameters">float&nbsp;subtractNbOtherHousehold)</span></div>
</section>
</li>
<li>
<section class="detail" id="getNbFamilyChildlessHousehold()">
<h3>getNbFamilyChildlessHousehold</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getNbFamilyChildlessHousehold</span>()</div>
</section>
</li>
<li>
<section class="detail" id="adjustNbFamilyChildlessHousehold(float)">
<h3>adjustNbFamilyChildlessHousehold</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">adjustNbFamilyChildlessHousehold</span>&#8203;(<span class="parameters">float&nbsp;subtractNbFamilyChildlessHousehold)</span></div>
</section>
</li>
<li>
<section class="detail" id="getNbFamilyChildHousehold()">
<h3>getNbFamilyChildHousehold</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getNbFamilyChildHousehold</span>()</div>
</section>
</li>
<li>
<section class="detail" id="adjustNbFamilyChildHousehold(float)">
<h3>adjustNbFamilyChildHousehold</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">adjustNbFamilyChildHousehold</span>&#8203;(<span class="parameters">float&nbsp;subtractNbFamilyChildHousehold)</span></div>
</section>
</li>
<li>
<section class="detail" id="getNbFamilySingleParentHousehold()">
<h3>getNbFamilySingleParentHousehold</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getNbFamilySingleParentHousehold</span>()</div>
</section>
</li>
<li>
<section class="detail" id="adjustNbFamilySingleParentHousehold(float)">
<h3>adjustNbFamilySingleParentHousehold</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">adjustNbFamilySingleParentHousehold</span>&#8203;(<span class="parameters">float&nbsp;subtractNbFamilySingleParentHousehold)</span></div>
</section>
</li>
<li>
<section class="detail" id="getNbHousehold()">
<h3>getNbHousehold</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getNbHousehold</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getAverageSizeOtherFamilylessHouseholds()">
<h3>getAverageSizeOtherFamilylessHouseholds</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getAverageSizeOtherFamilylessHouseholds</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getNbFam1Children()">
<h3>getNbFam1Children</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getNbFam1Children</span>()</div>
</section>
</li>
<li>
<section class="detail" id="adjustNbFam1Children(float)">
<h3>adjustNbFam1Children</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">adjustNbFam1Children</span>&#8203;(<span class="parameters">float&nbsp;adjusmtent)</span></div>
</section>
</li>
<li>
<section class="detail" id="getNbFam2Children()">
<h3>getNbFam2Children</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getNbFam2Children</span>()</div>
</section>
</li>
<li>
<section class="detail" id="adjustNbFam2Children(float)">
<h3>adjustNbFam2Children</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">adjustNbFam2Children</span>&#8203;(<span class="parameters">float&nbsp;adjusmtent)</span></div>
</section>
</li>
<li>
<section class="detail" id="getNbFam3Children()">
<h3>getNbFam3Children</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getNbFam3Children</span>()</div>
</section>
</li>
<li>
<section class="detail" id="adjustNbFam3Children(float)">
<h3>adjustNbFam3Children</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">adjustNbFam3Children</span>&#8203;(<span class="parameters">float&nbsp;adjusmtent)</span></div>
</section>
</li>
<li>
<section class="detail" id="getNbFam4Children()">
<h3>getNbFam4Children</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getNbFam4Children</span>()</div>
</section>
</li>
<li>
<section class="detail" id="adjustNbFam4Children(float)">
<h3>adjustNbFam4Children</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">adjustNbFam4Children</span>&#8203;(<span class="parameters">float&nbsp;adjusmtent)</span></div>
</section>
</li>
<li>
<section class="detail" id="getFamilyWithChildren()">
<h3>getFamilyWithChildren</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getFamilyWithChildren</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getNbFamilyWithChildrenMoreThan25()">
<h3>getNbFamilyWithChildrenMoreThan25</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getNbFamilyWithChildrenMoreThan25</span>()</div>
</section>
</li>
<li>
<section class="detail" id="adjustFamilyWithChildrenMoreThan25(float)">
<h3>adjustFamilyWithChildrenMoreThan25</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">adjustFamilyWithChildrenMoreThan25</span>&#8203;(<span class="parameters">float&nbsp;adjust)</span></div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/IRISHousehold.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
